Wall on the right place

Heej all.

I’m still very new at Dynamo and i hope someone could help me.

I’m looking for a way to join the wall finishes to my basic wall with Dynamo.
I have a script that will make the wall finishes.




But the locationline of the finishes isn’t on the right spot.


And the finishes go through the door. but that would solve when the finishes could join with the brickwall??

my credits go to @viktor_kuzev because it is his script and python script.
I have it of from: Create Wall Finishes With Dynamo
but i don’t know what to do now :flushed:

Maybe could someone help me??

Greetz,
Jasperbru

This python is not very good.
You can try this:

import clr
clr.AddReference("ProtoGeometry")
from Autodesk.DesignScript.Geometry import *
 
 # Import RevitAPI
clr.AddReference("RevitAPI")
import Autodesk
 
 # Import DocumentManager and TransactionManager
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
 
 # Import ToDSType(bool) extension method
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
 
E = IN[0]
N = IN[1]
elems1 = []
elems2 = []

if isinstance (E, list):
	for i in E:
		elems1.append(UnwrapElement(i))
else:
	elems1.append(UnwrapElement(E))
	
if isinstance (N, list):
	for j in N:
		elems1.append(UnwrapElement(j))
else:
	elems1.append(UnwrapElement(N))
	

 

doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
app = uiapp.Application
TransactionManager.Instance.EnsureInTransaction(doc)

for i in elems1:
	for j in elems2:
		try:
			result = Autodesk.Revit.DB.JoinGeometryUtils.JoinGeometry(doc, i, j)
		except:
			pass

TransactionManager.Instance.TransactionTaskDone()
OUT = result

It is trying to join every wall from IN[0] with every wall from IN[0]. THis is not always the best solution, but can do the work without filtering the walls.

Hi @viktor_kuzev

Thank you for notice this.
Unfortunately this python script don’t even work.

I don’t know what i’m doing wrong :disappointed_relieved:
Greetz,

Can you upload a dummy file and a dyn?

Sorry,
my pc won’t upload anything anymore…
I will try it at home this afternoon, about a hour of 2 maybe.

I will upload the .rvt file of the test case and the 2 .dyn files

Heej All,

Here i’m again :slight_smile:

I have a little problem,
I have a script thanks to @Jocelyn @viktor_kuzev @Dimitar_Venkov

But the only thing is that the wall finishes won’t disappear when there is a window (curtain wall) or a door.

Could someone help me??:flushed:

I have found the solution!! :slight_smile:

Thanks to @Dimitar_Venkov !!
His script will work fine :smiley:

Hmm. The code is expecting a list of items and I guess you’re inputting a single wall? If you’d like, you could try my version of the graph:

Wall Finishes

http://dynamobim.org/forums/topic/create-wall-finishes-with-dynamo/